Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.aggregator
Class DoubleMax

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.aggregator.AbstractAggregator
com.tangosol.util.aggregator.AbstractDoubleAggregator
com.tangosol.util.aggregator.DoubleMax`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, InvocableMap.EntryAggregator, InvocableMap.ParallelAwareAggregator, java.io.Serializable

      public class DoubleMax

extends AbstractDoubleAggregator

Calculates a maximum of numeric values extracted from a set of entries in a Map. All the extracted Number objects will be treated as Java `double` values.

Since:
  Coherence 3.1
Author:
  gg 2005.09.05

Field Summary

Fields inherited from class com.tangosol.util.aggregator.AbstractDoubleAggregator
`m_count, m_dflResult`

Fields inherited from class com.tangosol.util.aggregator.AbstractAggregator
`m_fParallel`

Constructor Summary
`DoubleMax()` Default constructor (necessary for the ExternalizableLite interface).
`DoubleMax(java.lang.String sMethod)` Construct a DoubleMax aggregator.
`DoubleMax(ValueExtractor extractor)` Construct a DoubleMax aggregator.

Method Summary
`protected void` | `init(boolean fFinal)` Initialize the aggregation result.
`protected void` | `process(java.lang.Object o, boolean fFinal)` Incorporate one aggregatable value into the result.

Methods inherited from class com.tangosol.util.aggregator.AbstractDoubleAggregator
`finalizeResult`

Methods inherited from class com.tangosol.util.aggregator.AbstractAggregator
`aggregate, aggregateResults, equals, getParallelAggregator, getValueExtractor, hashCode, processEntry, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### DoubleMax

    public DoubleMax()

  Default constructor (necessary for the ExternalizableLite interface).

### DoubleMax

    public DoubleMax(ValueExtractor extractor)

  Construct a DoubleMax aggregator.
  Parameters:
    `extractor` - the extractor that provides a value in the form of any Java object that is a `Number`

### DoubleMax

    public DoubleMax(java.lang.String sMethod)

  Construct a DoubleMax aggregator.
  Parameters:
    `sMethod` - the name of the method that returns a value in the form of any Java object that is a `Number`

Method Detail

### init

    protected void init(boolean fFinal)

  Initialize the aggregation result.
  Overrides:
    `init` in class `AbstractDoubleAggregator`
  Parameters:
    `fFinal` - true is passed if the aggregation process that is being initialized must produce a final aggregation result; this will only be false if a parallel approach is being used and the initial (partial) aggregation process is being initialized

### process

    protected void process(java.lang.Object o,
                           boolean fFinal)

  Incorporate one aggregatable value into the result. If the `fFinal` parameter is true, the given object is a partial result (returned by an individual parallel aggregator) that should be incorporated into the final result; otherwise, the object is a value extracted from an `InvocableMap.Entry`.
  Specified by:
    `process` in class `AbstractAggregator`
  Parameters:
    `o` - the value to incorporate into the aggregated result
    `fFinal` - true to indicate that the given object is a partial result returned by a parallel aggregator

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.